# *** ERROR:
# ./usr/src/debug/fractal-6-1.fc39.x86_64/redhat-linux-build/cargo-home/registry/src/index.crates.io-6f17d22bba15001f/ulid-1.1.0/src/lib.rs
# has shebang which doesn't start with '/' ([warn(missing_docs)])
%global debug_package %{nil}

%global appid org.gnome.Fractal
%global tarball_version %%(echo %{version} | tr '~' '.')

Name:       fractal
# 5~rc1
Version:    6
Release:    1%{?dist}
Summary:    Chat on Matrix

License:    GPL-3.0-or-later
URL:        https://gitlab.gnome.org/GNOME/fractal
Source0:    %{url}/-/archive/%{tarball_version}/%{name}-%{tarball_version}.tar.gz

BuildRequires:  cargo
BuildRequires:  clang
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  rust
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.72
BuildRequires:  pkgconfig(glib-2.0) >= 2.72
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gst-editing-services-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.20
BuildRequires:  pkgconfig(gstreamer-player-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk4) >= 4.10.0
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.4
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libspa-0.2)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(shumate-1.0)
BuildRequires:  pkgconfig(sqlite3) >= 3.24.0
BuildRequires:  pkgconfig(xdg-desktop-portal) >= 1.14.1

Requires:   hicolor-icon-theme

Conflicts:  fractal-master

%description
Fractal is a Matrix messaging app for GNOME written in Rust. Its interface is
optimized for collaboration in large groups, such as free software projects,
and will fit all screens, big or small.

Highlights:

  - Find rooms to discuss your favorite topics, or talk privately to people,
    securely thanks to end-to-end encryption
  - Send rich formatted messages, files, or your current location
  - Reply to specific messages, react with emoji, edit or remove messages
  - View images, and play audio and video directly in the conversation
  - See who has read messages, and who is typing
  - Log into multiple accounts at once (with Single-Sign On support)


%prep
%autosetup -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install --no-rebuild
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/%{appid}.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Sun Feb 04 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 6-1
- chore: Update to latest release

* Thu Nov 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 5~rc1-1
- chore: Update to latest release

* Fri Aug 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.4.0-1
- Update to 4.4.0

* Sun Jan 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.2-1
- Update to 4.2.2

* Sat Sep 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.1-1
- Update to 4.2.1

* Sun Jul 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.0-1.20190727git65ed458
- Update 4.2.0

* Wed May 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1.20190514git7925a33
- Initial package
